Автор Тема: Требуется помощь в установке Bumblebee  (Прочитано 7140 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн pjexaf

  • Новичок форума
  • Сообщений: 3
Требуется помощь в установке Bumblebee
« : 31 Октября 2013, 20:06:19 »
Для начала выводы команд
lsb_release -a
uname -r
cat /etc/apt/sources.list
а то такое впечатление что вы поставили wheezy ещё как testing и так на testing и остались.

Устанавливал wheezy 7.1, который обновил до 7.2.

Пробовал перустанавливать драйвера:
Полностью удалил Нвидию командой "apt-get remove nvidia-*"
Установил заново командой "sudo apt-get install -t wheezy-backports bumblebee-nvidia primus"
Обновил блоб Нвидии из experimental "sudo apt-get install -t experimental nvidia-glx", теперь версия 331.13-1

Bumblebee  перестал видеть видеокарту вообще  =(

optirun -vv glxgears
[ 1222.645277] [DEBUG]Reading file: /etc/bumblebee/bumblebee.conf
[ 1222.645783] [INFO]Configured driver: nvidia
[ 1222.646053] [DEBUG]optirun version 3.2.1 starting...
[ 1222.646102] [DEBUG]Active configuration:
[ 1222.646132] [DEBUG] bumblebeed config file: /etc/bumblebee/bumblebee.conf
[ 1222.646159] [DEBUG] X display: :8
[ 1222.646187] [DEBUG] LD_LIBRARY_PATH: /usr/lib/x86_64-linux-gnu/nvidia:/usr/lib/i386-linux-gnu/nvidia:/usr/lib/nvidia
[ 1222.646215] [DEBUG] Socket path: /var/run/bumblebee.socket
[ 1222.646241] [DEBUG] Accel/display bridge: auto
[ 1222.646278] [DEBUG] VGL Compression: proxy
[ 1222.646306] [DEBUG] VGLrun extra options:
[ 1222.646332] [DEBUG] Primus LD Path: /usr/lib/x86_64-linux-gnu/primus:/usr/lib/i386-linux-gnu/primus:/usr/lib/primus:/usr/lib32/primus
[ 1222.646432] [DEBUG]Using auto-detected bridge virtualgl
[ 1223.051255] [INFO]Response: No - error: Could not load GPU driver

[ 1223.051344] [ERROR]Cannot access secondary GPU - error: Could not load GPU driver

[ 1223.051376] [DEBUG]Socket closed.
[ 1223.051418] [ERROR]Aborting because fallback start is disabled.
[ 1223.051448] [DEBUG]Killing all remaining processes.

 Выводы ваших команд:
lsb_release -a
No LSB modules are available.
Distributor ID: Debian
Description:    Debian GNU/Linux 7.2 (wheezy)
Release:        7.2
Codename:       wheezy

uname -r
3.2.0-4-amd64

cat /etc/apt/sources.list
deb http://security.debian.org/ wheezy/updates main contrib
deb-src http://security.debian.org/ wheezy/updates main contrib

# wheezy-updates, previously known as 'volatile'
# A network mirror was not selected during install.  The following entries
# are provided as examples, but you should amend them as appropriate
# for your mirror of choice.
#
# deb http://ftp.debian.org/debian/ wheezy-updates main contrib
# deb-src http://ftp.debian.org/debian/ wheezy-updates main contrib

deb http://ftp.ru.debian.org/debian/ wheezy main non-free contrb
deb http://mirror.yandex.ru/debian wheezy main contrib non-free

deb http://ftp.debian.org/debian/ wheezy-backports main contrib non-free

# deb http://mirror.yandex.ru/debian/ experimental main contrib non-free

На всякий случай лог dmesg - http://pastebin.com/36p0Eaej

[ot]Пробовал ставить Федору и Зюзю - на них Bumblebee работает, но наблюдается баг загрузки процессом kworker CPU на 100% (возможно баг в новых ядрах)[/ot]


И еще вопрос: если я установлю libc6 более новой версии из testing (требуются для kio-mtp), не поломает ли это окончательно драйвера?
« Последнее редактирование: 01 Ноября 2013, 15:29:09 от pjexaf »
 

Оффлайн Rodjer13

  • Новичок форума
  • Сообщений: 1
Re: Требуется помощь в установке Bumblebee
« Ответ #1 : 06 Ноября 2013, 23:30:43 »
 :)Здравствуйте pjexaf.
Были проблемы с bumblebee, двое суток боролся я с шершнем, искал информацию везде и использовал различные рекомендации анонимов одна только беда была.
Но сегодня решил банально установить bumblebee через apper, и что вы думаете он зажужжал.  :o

ps
надо было просто внимательно прочесть что он перенесен в репозитории Debian. ;D
 

Оффлайн Tranetor

  • Пользователь
  • *
  • Сообщений: 13
Re: Требуется помощь в установке Bumblebee
« Ответ #2 : 06 Января 2014, 09:27:50 »
Не могу завести бамблби  :(

Debian 7 - 3.2.0-4-amd64

Spoiler: ShowHide

deb http://mirror.yandex.ru/debian/ wheezy main
deb-src http://mirror.yandex.ru/debian/ wheezy main
deb http://security.debian.org/ wheezy/updates main contrib
deb-src http://security.debian.org/ wheezy/updates main contrib
# wheezy-updates, previously known as 'volatile'
deb http://mirror.yandex.ru/debian/ wheezy-updates main contrib
deb-src http://mirror.yandex.ru/debian/ wheezy-updates main contrib
deb http://mirror.yandex.ru/debian/ wheezy-backports main contrib non-free
deb-src http://mirror.yandex.ru/debian/ wheezy-backports main contrib non-free


в консоли sudo apt-get install -t wheezy-backports bumblebee-nvidia primus
Spoiler: ShowHide
Будут установлены следующие дополнительные пакеты:
  bumblebee
Рекомендуемые пакеты:
  primus-libs-ia32
НОВЫЕ пакеты, которые будут установлены:
  bumblebee bumblebee-nvidia primus
обновлено 0, установлено 3 новых пакетов, для удаления отмечено 0 пакетов, и 49 пакетов не обновлено.
Необходимо скачать 0 B/76,9 kB архивов.

Выбор ранее не выбранного пакета bumblebee-nvidia.
Распаковывается пакет bumblebee-nvidia (из файла …/bumblebee-nvidia_3.2.1-4~bpo70+1_amd64.deb) …
Выбор ранее не выбранного пакета primus.
Распаковывается пакет primus (из файла …/primus_0~20130904-1~bpo70+1_amd64.deb) …
Обрабатываются триггеры для initramfs-tools …
update-initramfs: Generating /boot/initrd.img-3.2.0-4-amd64
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8168f-2.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8168f-1.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8105e-1.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8168e-3.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8168e-2.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8168e-1.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8168d-2.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8168d-1.fw for module r8169
Обрабатываются триггеры для man-db …
Настраивается пакет bumblebee (3.2.1-4~bpo70+1) …
Adding members from group(s) 'adm sudo admin' to 'bumblebee':

FATAL: Module bbswitch not found.
Обрабатываются триггеры для initramfs-tools …
update-initramfs: Generating /boot/initrd.img-3.2.0-4-amd64
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8168f-2.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8168f-1.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8105e-1.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8168e-3.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8168e-2.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8168e-1.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8168d-2.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8168d-1.fw for module r8169
Настраивается пакет bumblebee-nvidia (3.2.1-4~bpo70+1) …
update-alternatives: используется /usr/lib/mesa-diverted для предоставления /usr/lib/glx (glx) в ручной режим
[....] Restarting bumblebeed: bumblebeedFATAL: Module bbswitch not found.
. ok
Настраивается пакет primus (0~20130904-1~bpo70+1) …


На sudo optirun --status
Bumblebee status: Ready (3.2.1). X inactive. Discrete video card is likely on.

Еще оптирун выдает [ERROR]Cannot access secondary GPU - error: Could not load GPU driver
" изменить параметр "KernelDriver=nvidia" на "KernelDriver=nvidia-current"" - не помогает
 

Оффлайн D101101

Re: Требуется помощь в установке Bumblebee
« Ответ #3 : 06 Января 2014, 10:04:30 »
Tranetor, установи firmware-realtek
и дай вывод aptitude search ~ilinux-headers
Debian  Jessie x86_64 Xfce 4.10
 

Оффлайн Tranetor

  • Пользователь
  • *
  • Сообщений: 13
Re: Требуется помощь в установке Bumblebee
« Ответ #4 : 06 Января 2014, 10:11:45 »
i A linux-headers-3.11-0.bpo.2-amd6 - Header files for Linux 3.11-0.bpo.2-amd64
i A linux-headers-3.11-0.bpo.2-comm - Common header files for Linux 3.11-0.bpo.2
i A linux-headers-amd64             - Header files for Linux amd64 configuration


А что означают i слева?
upd/ а если там будет "p" - значит не установлены?
« Последнее редактирование: 06 Января 2014, 10:27:38 от Tranetor »
 

Оффлайн qupl

Re: Требуется помощь в установке Bumblebee
« Ответ #5 : 06 Января 2014, 10:22:32 »
А что означают i слева?
что пакеты установлены

Оффлайн D101101

Re: Требуется помощь в установке Bumblebee
« Ответ #6 : 06 Января 2014, 10:39:45 »
Tranetor, sudo aptitude purge ~ilinux-headers
sudo aptitude install linux-headers-$(uname -r)
пока отвечал забыл что надо переставить...
попробуй
sudo aptitude reinstall bumlbebee bbswitch-dkms
Debian  Jessie x86_64 Xfce 4.10
 

Оффлайн Tranetor

  • Пользователь
  • *
  • Сообщений: 13
Re: Требуется помощь в установке Bumblebee
« Ответ #7 : 06 Января 2014, 12:11:10 »
Теперь так
i   linux-headers-3.2.0-4-amd64           - Header files for Linux 3.2.0-4-amd64           
i A linux-headers-3.2.0-4-common          - Common header files for Linux 3.2.0-4

Spoiler: ShowHide
После sudo aptitude install linux-headers-$(uname -r) в конце вышло вот что:

Настраивается пакет linux-headers-3.2.0-4-common (3.2.51-1) …
Настраивается пакет linux-kbuild-3.2 (3.2.17-1) …
Настраивается пакет linux-headers-3.2.0-4-amd64 (3.2.51-1) …
Examining /etc/kernel/header_postinst.d.
run-parts: executing /etc/kernel/header_postinst.d/dkms 3.2.0-4-amd64
Error! Problems with depmod detected.  Automatically uninstalling this module.
DKMS: Install Failed (depmod problems).  Module rolled back to built state.


 sudo aptitude reinstall bumlbebee bbswitch-dkms
Spoiler: ShowHide
Не удалось найти пакеты, содержащих «bumlbebee» в своём имени или описании
Не удалось найти пакеты, содержащих «bumlbebee» в своём имени или описании
Следующие пакеты будут ПЕРЕУСТАНОВЛЕНЫ:
  bbswitch-dkms
0 пакетов обновлено, 0 установлено новых, 1 переустановлено, 0 пакетов отмечено для удаления, и 0 пакетов не обновлено.
Необходимо получить 0 B/12,5 kB архивов. После распаковки 0 B будет занято.
(Чтение базы данных … на данный момент установлено 107500 файлов и каталогов.)
Подготовка к замене пакета bbswitch-dkms 0.7-1~bpo70+1 (используется файл …/bbswitch-dkms_0.7-1~bpo70+1_amd64.deb) …

-------- Uninstall Beginning --------
Module:  bbswitch
Version: 0.7
Kernel:  3.2.0-4-amd64 (x86_64)
-------------------------------------

Status: Before uninstall, this module version was ACTIVE on this kernel.

bbswitch.ko:
 - Uninstallation
   - Deleting from: /lib/modules/3.2.0-4-amd64/updates/dkms/
 - Original module
   - No original module was found for this module on this kernel.
   - Use the dkms install command to reinstall any previous module version.

depmod....

DKMS: uninstall completed.

------------------------------
Deleting module version: 0.7
completely from the DKMS tree.
------------------------------
Done.
Распаковывается замена для пакета bbswitch-dkms …
Настраивается пакет bbswitch-dkms (0.7-1~bpo70+1) …
Loading new bbswitch-0.7 DKMS files...
Building only for 3.2.0-4-amd64
Building initial module for 3.2.0-4-amd64
Done.

bbswitch:
Running module version sanity check.
 - Original module
   - No original module exists within this kernel
 - Installation
   - Installing to /lib/modules/3.2.0-4-amd64/updates/dkms/

depmod....

DKMS: install completed.


Перезапустил бамбл, теперь хоть дискретная видеокарта отключена по умолчанию
Но все равно [ERROR]Cannot access secondary GPU - error: Could not load GPU driver
" изменить параметр "KernelDriver=nvidia" на "KernelDriver=nvidia-current"" - не помогает

01:00.0 3D controller: NVIDIA Corporation Device 0fdf (rev a1)
   Subsystem: ASUSTeK Computer Inc. Device 1587
При установке бамбла было предупреждение, что необходимо вручную запустить драйвер нвидиа. В меню приложений есть нвидиа х сервер сеттингс, открываю вылазит - Please edit yout X config (just run nvidia-xconfig as root) -
но в терминале nvidia-xconfig: command not found
p   nvidia-xconfig                                             - X configuration tool for non-free NVIDIA drivers


 

Оффлайн D101101

Re: Требуется помощь в установке Bumblebee
« Ответ #8 : 06 Января 2014, 12:26:02 »
Tranetor, я немного ошибся
sudo aptitude reinstall bumblebee

после этого попробуй перезагрузиться, nvidia-xconfig не нужен

вывод терминала при перестановке лучше также где-нибудь сохранить
Debian  Jessie x86_64 Xfce 4.10
 

Оффлайн Tranetor

  • Пользователь
  • *
  • Сообщений: 13
Re: Требуется помощь в установке Bumblebee
« Ответ #9 : 06 Января 2014, 12:35:44 »
Сделал
Spoiler: ShowHide
Следующие пакеты будут ПЕРЕУСТАНОВЛЕНЫ:         
  bumblebee
0 пакетов обновлено, 0 установлено новых, 1 переустановлено, 0 пакетов отмечено для удаления, и 0 пакетов не обновлено.
Необходимо получить 0 B/62,4 kB архивов. После распаковки 0 B будет занято.
(Чтение базы данных … на данный момент установлено 107527 файлов и каталогов.)
Подготовка к замене пакета bumblebee 3.2.1-4~bpo70+1 (используется файл …/bumblebee_3.2.1-4~bpo70+1_amd64.deb) …
Распаковывается замена для пакета bumblebee …
Обрабатываются триггеры для initramfs-tools …
update-initramfs: Generating /boot/initrd.img-3.2.0-4-amd64
Обрабатываются триггеры для man-db …
Настраивается пакет bumblebee (3.2.1-4~bpo70+1) …
Обрабатываются триггеры для initramfs-tools …
update-initramfs: Generating /boot/initrd.img-3.2.0-4-amd64


[  159.888939] [ERROR]Cannot access secondary GPU - error: Could not load GPU driver
[  159.889088] [ERROR]Aborting because fallback start is disabled.
 

Оффлайн D101101

Re: Требуется помощь в установке Bumblebee
« Ответ #10 : 06 Января 2014, 12:56:54 »
Tranetor, а вот это уже странно..
не знаю даже, попробуйте снести bumblebee bumblebee-nvidia primus  и поставить заново

в начале проблема была в том что linux-headers вы тоже из backports потянули, а они там для ядра 3.11 и модули собрались не для вашего ядра
сейчас linux-headers те что нужно, осталось понять что нужно поставить заново...
Debian  Jessie x86_64 Xfce 4.10
 

Оффлайн Tranetor

  • Пользователь
  • *
  • Сообщений: 13
Re: Требуется помощь в установке Bumblebee
« Ответ #11 : 06 Января 2014, 13:20:20 »
попробовал переустановить, но все так же(
sudo optirun --status
Bumblebee status: Error (3.2.1): Could not load GPU driver
 

Оффлайн D101101

Re: Требуется помощь в установке Bumblebee
« Ответ #12 : 06 Января 2014, 13:31:44 »
Tranetor, а если
echo "blacklist nouveau" | sudo tee -a /etc/modprobe.d/blacklist-nouveau.confи перезагрузиться?
Debian  Jessie x86_64 Xfce 4.10
 

Оффлайн Tranetor

  • Пользователь
  • *
  • Сообщений: 13
Re: Требуется помощь в установке Bumblebee
« Ответ #13 : 06 Января 2014, 13:41:47 »
все так же
кстати
lspci | grep VGA
00:02.0 VGA compatible controller: Intel Corporation 3rd Gen Core processor Graphics Controller (rev 09)
т.е. нвидию не видит?

нашел тут тему https://debianforum.ru/index.php?topic=5631.0 - у меня на к56cb тоже Gt 740
« Последнее редактирование: 06 Января 2014, 13:52:07 от Tranetor »
 

Оффлайн D101101

Re: Требуется помощь в установке Bumblebee
« Ответ #14 : 06 Января 2014, 13:59:18 »
Tranetor, так у вас optimus или нет?
Debian  Jessie x86_64 Xfce 4.10
 

Теги:
     

    Требуется помощь с Intel 7260

    Автор golem

    Ответов: 7
    Просмотров: 3566
    Последний ответ 25 Сентября 2015, 08:10:10
    от VKH